Subject: Re: If you would write git from scratch now, what would you change?

From: Jan Hudec <[email-masked]>
Date: Wed, 28 Nov 2007 00:56:57 +0100

On Tue, Nov 27, 2007 at 14:15:21 +0100, Marco Costalba wrote:
> On Nov 27, 2007 9:45 AM, Andy Parkins <[email-masked]> wrote:
> > Marco Costalba wrote:
> >
> > > But...wait...Qt would require...(I'm scared to say!)... that awful,
> > > painful, hopeless thing called C++. Probably you didn't mean what you
> > > said ;-)
> >
> > Actually although I like C++, that's not the reason, the reason is that Qt
> > is a significantly (IMHO) better toolkit than Tk.  It's more cross platform
> > and looks a lot nicer.  The fact that it's C++ is neither here nor there.
> >
> 
> Actually there exist a Python bindings for Qt if you prefer.

I tried to write something in them and got a bit burned. Qt has it's
idea of memory management (delete children with parent) and the bindings
don't protect from accessing pointers to objects deleted this way, which can
cause rather hard to debug crashes. 

Gtk seems to be much better for use from various scripting languages.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>